#!/bin/bash
#
# Create Server Certificates
# 
# 

# source this file to include the functions
. cfg/pki_funcs.sh

PARAM1=$1
PARAM2=$2
PARAM3=$3


usage() {
  echo
  echo "Generate a new Server certificate"
  echo
  echo
  echo "Generate a new certificate"
  echo "  usage:   gen_server.sh  <Org URL>   [Serial #]"
  echo
  echo "  example: gen_server.sh  skunkworks.acme.xyz \\"
  echo "                          10052  (optional) \\"
  echo
  exit 1
}


main() {
  # uses global variables: $PARAM1 $PARAM2
  check_params
  gen_server $PARAM1 $PARAM2
}

main
